Page MenuHomePhabricator

[analyzer] Print type for SymbolRegionValues when dumping to stream
ClosedPublic

Authored by ddcc on Dec 2 2016, 2:40 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

ddcc updated this revision to Diff 80135.Dec 2 2016, 2:40 PM
ddcc retitled this revision from to [analyzer] Print type for SymbolRegionValues when dumping to stream.
ddcc updated this object.
ddcc added reviewers: NoQ, dcoughlin, zaks.anna.
ddcc added a subscriber: cfe-commits.
zaks.anna accepted this revision.Dec 2 2016, 6:13 PM
zaks.anna edited edge metadata.
This revision is now accepted and ready to land.Dec 2 2016, 6:13 PM
NoQ accepted this revision.Dec 2 2016, 11:28 PM
NoQ edited edge metadata.

Thanks, i love dumps! Btw, did you encounter cases when types are unobvious from the parent region?

lib/StaticAnalyzer/Core/SymbolManager.cpp
89 ↗(On Diff #80135)

The rest of the code uses single-quotes for single characters, even though it's not really important here.

ddcc added a comment.Dec 3 2016, 11:43 AM

Yeah, I had to implement implicit type promotion and conversion, because Z3 checks expression types pretty strictly.

ddcc updated this revision to Diff 80309.Dec 5 2016, 12:36 PM
ddcc edited edge metadata.

Use single quotes

ddcc updated this revision to Diff 80310.Dec 5 2016, 12:39 PM

Fix rebase

This revision was automatically updated to reflect the committed changes.